/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "tile.h"
#include "overworld/overworlddefs.h"

typedef struct {
  tileid_t tileIds[OVERWORLD_TILE_COUNT_MAX];
  tiledata_t tileData[OVERWORLD_TILE_COUNT_MAX];
  uint8_t width, height, layerCount;
} map_t;

void mapInit(map_t *map);